CompareIdentityExpression (groovy 2.4.16 API)
Date: 2018-12-09

Package: org.codehaus.groovy.transform.sc.transformers

## [Java] Class CompareIdentityExpression

- org.codehaus.groovy.transform.sc.transformers.CompareIdentityExpression

- All Implemented Interfaces and Traits:
    org.objectweb.asm.Opcodes

      public class CompareIdentityExpression
      extends BinaryExpression

  Compares two objects using identity comparison. This expression will generate bytecode using the IF_ACMPNE instruction, instead of using the "equals" method that is currently mapped to "==" in Groovy. This expression should only be used to compare to objects, not primitives, and only in the context of reference equality check.

  Authors:
    Cedric Champeau

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CompareIdentityExpression (Expression leftExpression, Expression rightExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryExpression` | `getLeftExpression, getOperation, getRightExpression, getText, newAssignmentExpression, newInitializationExpression, setLeftExpression, setRightExpression, toString, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public CompareIdentityExpression(Expression leftExpression, Expression rightExpression)

  - ### Method Detail

    - #### @Override public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override public void visit(GroovyCodeVisitor visitor)